PostgreSQL 9.5.3 Documentation
Prev | Up |  | Next

# DROP TRANSFORM

## Name

DROP TRANSFORM -- remove a transform

## Synopsis

    DROP TRANSFORM [ IF EXISTS ] FOR type_name LANGUAGE lang_name

## Description

`DROP TRANSFORM` removes a previously defined transform.

To be able to drop a transform, you must own the type and the language. These are the same privileges that are required to create a transform.

## Parameters

`IF EXISTS`

  Do not throw an error if the transform does not exist. A notice is issued in this case.

`type_name`

  The name of the data type of the transform.

`lang_name`

  The name of the language of the transform.

`CASCADE`

  Automatically drop objects that depend on the transform.

`RESTRICT`

  Refuse to drop the transform if any objects depend on it. This is the default.

## Examples

To drop the transform for type `hstore` and language `plpythonu`:

    DROP TRANSFORM FOR hstore LANGUAGE plpythonu;

## Compatibility

This form of `DROP TRANSFORM` is a PostgreSQL extension. See CREATE TRANSFORM for details.

## See Also

CREATE TRANSFORM

Prev | Home | Next
DROP TEXT SEARCH TEMPLATE | Up | DROP TRIGGER